UDEVD(8)

NAME
udevd - Device event managing daemon

SYNOPSIS

udevd

/sbin/udevd [--daemon] [--debug] [--children-max=] [--exec-delay=] [--event-timeout=] [--resolve-names=early|late|never] [--version] [--help]

DESCRIPTION

udevd listens to kernel uevents. For every event, udevd executes matching instructions specified in udev rules. See udev(7).

The behavior of the daemon can be configured using udev.conf(5), its command-line options, environment variables, and on the kernel command-line, or changed dynamically with udevadm control.

OPTIONS

--daemon
    Detach and run in the background.

--debug
    Print debug messages to standard error.

--children-max=
    Limit the number of events executed in parallel.

--exec-delay=
    Delay the execution of RUN instructions by the given number of seconds. This option might be useful when debugging system crashes during coldplug caused by loading non-working kernel modules.

--event-timeout=
    Set the number of seconds to wait for events to finish. After this time the event will be terminated. The default is 30 seconds.

--resolve-names=
    Specify when udevd should resolve names of users and groups. When set to early (the default), names will be resolved when the rules are parsed. When set to late, names will be resolved for every event. When set to never, names will never be resolved and all devices will be owned by root.

--help

ENVIRONMENT

$UDEV_LOG=
    Set the log level.

KERNEL COMMAND LINE

Parameters starting with "rd." will be read when udevd is used in an initrd.

udev.log-priority=, rd.udev.log-priority=
    Set the log level.

udev.children-max=, rd.udev.children-max=
    Limit the number of events executed in parallel.

udev.exec-delay=, rd.udev.exec-delay=
    Delay the execution of RUN instructions by the given number of seconds. This option might be useful when debugging system crashes during coldplug caused by loading non-working kernel modules.

udev.event-timeout=, rd.udev.event-timeout=
    Wait for events to finish up to the given number of seconds. This option might be useful if events are terminated due to kernel drivers taking too long to initialize.

net.ifnames=
    Network interfaces are renamed to give them predictable names when possible. It is enabled by default; specifying 0 disables it.

SEE ALSO

udev.conf(5), udev(7), udevadm(8)